{ config, ... }:

{
  services.nginx = {
    enable = true;

    virtualHosts = {
      "${config.networking.hostName}.adm.crans.org" = {
        locations."/" = {
          proxyPass = "http://${config.services.restic.server.listenAddress}";
        };
      };
    };
  };
}
