{ ... }:

{
  imports = [
    ./hardware-configuration.nix
    ./stirling.nix
  ];

  networking.hostName = "livre";
  boot.loader.grub.devices = [ "/dev/sda" ];

  crans = {
    enable = true;

    networking = {
      id = "40";
      srvNat.enable = true;
    };

    resticClient.when = "03:45";
  };

  system.stateVersion = "24.11";
}
