{ ... }:

{
  imports = [
    ./hardware-configuration.nix
    ./matrix.nix
    ./matrix-appservice-irc.nix
    ./synapse-admin.nix
  ];

  boot.loader.grub.devices = [ "/dev/sda" ];

  networking.hostName = "neo";

  crans = {
    enable = true;

    networking = {
      id = "41";
      srv = {
        enable = true;
        ipv4 = "185.230.79.5";
      };
    };

    resticClient.when = "04:56";

    services = {
      acme.enable = true;
      coturn.enable = true;
    };
  };

  system.stateVersion = "24.11";
}
